2

Context :

Hello, I have a GPD XD console under Android 5 with a complex launcher. I would like to install the very good Pegasus frontend (install and play, no tweaks), and for that they require to run a script through Termux (because it seems some commands like /bin/bash or cURL are included in Termux and are absent in other terminal apps).

For Android 5, there is an archive of the application available here (according to the official github).

Problem:

Unfortunately, I don't understand how to install these files on the console (there are too many of them). Indeed, I tried to install only the termux-v0.79-offline-bootstraps.apk file but I get an error message (maybe a signature error but I don't remember well).

Question:

Could you explain me step by step how to install these files please (and which ones to download) ? Thank you very much for your kind help!

3
  • Also be aware that Pegasus site states If you already have termux make sure it is version 117. we've found issues on other versions. and Termux version 117 requires Android 7.0 and up. Commented Mar 6, 2022 at 3:41
  • You should better search for a matching customROM for your device that bases on Android 7+.
    – Robert
    Commented Mar 6, 2022 at 12:29
  • Select any recent build. Download the APK suitable for your device (for example, github.com/termux/termux-app/suites/12269415843/artifacts/…). Install it.
    – ᄂ ᄀ
    Commented Apr 18, 2023 at 11:19

2 Answers 2

2

i have been using the old version ever since support for it was dropped. This is how i do it. After installing termux-v0.79-offline-bootstraps.apk , you have to change the text in sources.list located /data/data/com.termux/files/usr/etc/apt (use vi sources.list ) to deb https://packages.termux.dev/termux-main-21 stable main . Use

apt remove science-repo
apt remove game-repo

Thats all, then to install packages just type;

pkg install packageName. That's the easy way Manually

You also have to install the dependecies manually from this same location

Visit

https://packages.termux.org/termux-main-21/dists/stable/main/binary-arm/ And just download the .deb file Then navigate to your downloads folder and type

dpkg -i package-name
1

Support for Android 5 and 6 is back. See the official page.

You can use the archive link to install any missing old packages. Press show all, then next to termux-repositories-legacy-24.12.2019.tar, press (View Contents). Now you can find and download the packages you need without downloading the whole archive.

You must log in to answer this question.

Not the answer you're looking for? Browse other questions tagged .